aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/jenkins/run_qps_diff.sh
diff options
context:
space:
mode:
authorGravatar Craig Tiller <ctiller@google.com>2017-07-05 08:30:04 -0700
committerGravatar Craig Tiller <ctiller@google.com>2017-07-05 08:30:04 -0700
commit07c016b674a7682e75367ff5e985970190aae655 (patch)
tree5e5fb3d44425587fbfeda089877474652ea7b3cd /tools/jenkins/run_qps_diff.sh
parent7ffb7232be38c2c5abe1059fe84d7a2f8d98e133 (diff)
parent7405347cd848f27067b9ce3c029325799ebaa888 (diff)
Merge github.com:grpc/grpc into hps
Diffstat (limited to 'tools/jenkins/run_qps_diff.sh')
-rwxr-xr-xtools/jenkins/run_qps_diff.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/tools/jenkins/run_qps_diff.sh b/tools/jenkins/run_qps_diff.sh
new file mode 100755
index 0000000000..9529b0126f
--- /dev/null
+++ b/tools/jenkins/run_qps_diff.sh
@@ -0,0 +1,23 @@
+#!/usr/bin/env bash
+# Copyright 2015 gRPC authors.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# This script is invoked by Jenkins and runs a diff on the qps drivers
+set -ex
+
+# Enter the gRPC repo root
+cd $(dirname $0)/../..
+
+tools/run_tests/start_port_server.py
+tools/profiling/qps/qps_diff.py -d origin/$ghprbTargetBranch